// DirectX8Render.h: interface for the CDirectX8Render class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIRECTX8RENDER1_H__CA9AE665_9168_47A1_BCD9_BF258FF535B0__INCLUDED_)
#define AFX_DIRECTX8RENDER1_H__CA9AE665_9168_47A1_BCD9_BF258FF535B0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Include interface
#include "..\include\ICoolRender.h"

// Make class that inherits from the cool render interface.
// This is the actual implementation
class CDirectX8Render : public ICoolRender
{
public:
	
	// Needed to implement IUnknown used by COM to acces your component
	virtual HRESULT __stdcall QueryInterface(const IID& iid, void** ppv);
	virtual ULONG __stdcall AddRef();
	virtual ULONG __stdcall Release();
	
	// Constructor
	CDirectX8Render();
	
	// Destructor
	virtual ~CDirectX8Render();

	// Our only function
	void DoCool3DGame();

private:

	long m_cRef; // Reference count for component

};

#endif // !defined(AFX_DIRECTX8RENDER1_H__CA9AE665_9168_47A1_BCD9_BF258FF535B0__INCLUDED_)
